/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ch.sahits.javafx.test;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.image.Image;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

/**
 *
 * @author andi
 */
public class MyCanvasTest extends Application {
    
    @Override
    public void start(Stage primaryStage) {
        try {
            StackPane root = new StackPane();
            Scene scene = new Scene(root, 300, 250);
            Image img = new Image( getClass().getResource("kajak4_small.png").openStream());
            MyCanvas canvas = new MyCanvas(img, root.getWidth(), root.getHeight());
            
            // Binding
            canvas.localWidthProperty().bind(root.widthProperty());
            canvas.localHeigthProperty().bind(root.heightProperty());            
           
            root.getChildren().add(canvas);            
            
            primaryStage.setTitle("Resizable Canvas separate Test");
            primaryStage.setScene(scene);
            primaryStage.show();
        } catch (FileNotFoundException ex) {
            Logger.getLogger(MyCanvasTest.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IOException ex) {
            Logger.getLogger(MyCanvasTest.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    /**
     * The main() method is ignored in correctly deployed JavaFX application.
     * main() serves only as fallback in case the application can not be
     * launched through deployment artifacts, e.g., in IDEs with limited FX
     * support. NetBeans ignores main().
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }

}
